local name, SPELLDB = ...
SPELLDB.PALADIN = {}
SPELLDB.PALADIN.HOLY = {}
SPELLDB.PALADIN.PROTECTION = {}
SPELLDB.PALADIN.RETRIBUTION = {}

SPELLDB.PALADIN.HOLY.spells = {
	4987 --[[Cleanse--]],   
	35395 --[[Crusader Strike--]],   
	498 --[[Divine Protection--]],   
	642 --[[Divine Shield--]],   
	190784 --[[Divine Steed--]],   
	19750 --[[Flash of Light--]],   
	853 --[[Hammer of Justice--]],   
	62124 --[[Hand of Reckoning--]],   
	20473 --[[Holy Shock--]],   
	20271 --[[Judgment--]],   
	633 --[[Lay on Hands--]],   
	7328 --[[Redemption--]],   
	26573 --[[Consecration--]],   
	53563 --[[Beacon of Light--]],   
	32223 --[[Heart of the Crusader--]],   
	183998 --[[Light of the Martyr--]],   
	212056 --[[Absolution--]],   
	1022 --[[Blessing of Protection--]],   
	53576 --[[Infusion of Light--]],   
	227068 --[[Righteousness--]],   
	1044 --[[Blessing of Freedom--]],   
	82326 --[[Holy Light--]],   
	6940 --[[Blessing of Sacrifice--]],   
	85222 --[[Light of Dawn--]],   
	31821 --[[Aura Mastery--]],   
	31842 --[[Avenging Wrath--]],   
	183997 --[[Mastery: Lightbringer--]],   
};
SPELLDB.PALADIN.PROTECTION.spells = {
	31935 --[[Avenger's Shield--]],   
	213644 --[[Cleanse Toxins--]],   
	498 --[[Divine Protection--]],   
	642 --[[Divine Shield--]],   
	190784 --[[Divine Steed--]],   
	19750 --[[Flash of Light--]],   
	853 --[[Hammer of Justice--]],   
	53595 --[[Hammer of the Righteous--]],   
	62124 --[[Hand of Reckoning--]],   
	20271 --[[Judgment--]],   
	633 --[[Lay on Hands--]],   
	184092 --[[Light of the Protector--]],   
	7328 --[[Redemption--]],   
	53600 --[[Shield of the Righteous--]],   
	85043 --[[Grand Crusader--]],   
	26573 --[[Consecration--]],   
	96231 --[[Rebuke--]],   
	32223 --[[Heart of the Crusader--]],   
	1022 --[[Blessing of Protection--]],   
	1044 --[[Blessing of Freedom--]],   
	6940 --[[Blessing of Sacrifice--]],   
	31850 --[[Ardent Defender--]],   
	31884 --[[Avenging Wrath--]],   
	76671 --[[Mastery: Divine Bulwark--]],   
	86659 --[[Guardian of Ancient Kings--]],   
};
SPELLDB.PALADIN.RETRIBUTION.spells = {
	184575 --[[Blade of Justice--]],   
	213644 --[[Cleanse Toxins--]],   
	35395 --[[Crusader Strike--]],   
	642 --[[Divine Shield--]],   
	190784 --[[Divine Steed--]],   
	19750 --[[Flash of Light--]],   
	853 --[[Hammer of Justice--]],   
	183218 --[[Hand of Hindrance--]],   
	62124 --[[Hand of Reckoning--]],   
	20271 --[[Judgment--]],   
	633 --[[Lay on Hands--]],   
	7328 --[[Redemption--]],   
	184662 --[[Shield of Vengeance--]],   
	85256 --[[Templar's Verdict--]],    
	53385 --[[Divine Storm--]],   
	96231 --[[Rebuke--]],   
	32223 --[[Heart of the Crusader--]],   
	203528 --[[Greater Blessing of Might--]],   
	203538 --[[Greater Blessing of Kings--]],   
	203539 --[[Greater Blessing of Wisdom--]],   
	1022 --[[Blessing of Protection--]],   
	1044 --[[Blessing of Freedom--]],   
	183435 --[[Retribution--]],   
	31884 --[[Avenging Wrath--]],   
	76672 --[[Mastery: Divine Judgment--]],  
};

SPELLDB.PALADIN.HOLY.talents = {
	223306 --[[Bestow Faith--]],   
	114158 --[[Light's Hammer--]],   
	196926 --[[Crusader's Might--]],   
	230332 --[[Cavalier--]],   
	114154 --[[Unbreakable Spirit--]],   
	214202 --[[Rule of Law--]],   
	198054 --[[Fist of Justice--]],   
	20066 --[[Repentance--]],   
	115750 --[[Blinding Light--]],   
	183425 --[[Devotion Aura--]],   
	183416 --[[Aura of Sacrifice--]],   
	183415 --[[Aura of Mercy--]],   
	197646 --[[Divine Purpose--]],   
	105809 --[[Holy Avenger--]],   
	114165 --[[Holy Prism--]],   
	196923 --[[Fervent Martyr--]],   
	53376 --[[Sanctified Wrath--]],   
	183778 --[[Judgment of Light--]],   
	156910 --[[Beacon of Faith--]],   
	197446 --[[Beacon of the Lightbringer--]],   
	200025 --[[Beacon of Virtue--]],   
};
SPELLDB.PALADIN.PROTECTION.talents = {
	152261 --[[Holy Shield--]],   
	204019 --[[Blessed Hammer--]],   
	203785 --[[Consecrated Hammer--]],   
	203776 --[[First Avenger--]],   
	204035 --[[Bastion of Light--]],   
	204023 --[[Crusader's Judgment--]],   
	198054 --[[Fist of Justice--]],   
	20066 --[[Repentance--]],   
	115750 --[[Blinding Light--]],   
	204018 --[[Blessing of Spellwarding--]],   
	230332 --[[Cavalier--]],   
	203797 --[[Retribution Aura--]],   
	213652 --[[Hand of the Protector--]],   
	204139 --[[Knight Templar--]],   
	204077 --[[Final Stand--]],   
	204150 --[[Aegis of Light--]],   
	183778 --[[Judgment of Light--]],   
	204054 --[[Consecrated Ground--]],   
	204074 --[[Righteous Protector--]],   
	152262 --[[Seraphim--]],   
	203791 --[[Last Defender--]],   
};
SPELLDB.PALADIN.RETRIBUTION.talents = {
	198038 --[[Final Verdict--]],   
	213757 --[[Execution Sentence--]],   
	205228 --[[Consecration--]],   
	203316 --[[The Fires of Justice--]],   
	217020 --[[Zeal--]],   
	218178 --[[Greater Judgment--]],   
	198054 --[[Fist of Justice--]],   
	20066 --[[Repentance--]],   
	115750 --[[Blinding Light--]],   
	202271 --[[Virtue's Blade--]],   
	231832 --[[Blade of Wrath--]],   
	198034 --[[Divine Hammer--]],   
	215661 --[[Justicar's Vengeance--]],   
	205191 --[[Eye for an Eye--]],   
	210191 --[[Word of Glory--]],   
	213313 --[[Divine Intervention--]],   
	230332 --[[Cavalier--]],   
	202273 --[[Seal of Light--]],   
	223817 --[[Divine Purpose--]],   
	231895 --[[Crusade--]],   
	210220 --[[Holy Wrath--]],   
};

SPELLDB.PALADIN.HOLY.pvpTalents = {
	208683 --[[Gladiator's Medallion--]],   
	214027 --[[Adaptation--]],   
	196029 --[[Relentless--]],   
	195330 --[[Defender of the Weak--]],   
	195483 --[[Vim and Vigor--]],   
	210294 --[[Divine Favor--]],   
	199324 --[[Divine Vision--]],   
	199325 --[[Unbound Freedom--]],   
	199330 --[[Cleanse the Weak--]],   
	199422 --[[Holy Ritual--]],   
	199424 --[[Pure of Heart--]],   
	216327 --[[Light's Grace--]],   
	199441 --[[Avenging Light--]],   
	199452 --[[Ultimate Sacrifice--]],   
	210378 --[[Darkest before the Dawn--]],   
	199456 --[[Spreading the Word--]],   
	199454 --[[Blessed Hands--]],   
	216331 --[[Avenging Crusader--]],   
};
SPELLDB.PALADIN.PROTECTION.pvpTalents = {
	208683 --[[Gladiator's Medallion--]],   
	214027 --[[Adaptation--]],   
	196029 --[[Relentless--]],   
	195338 --[[Relentless Assault--]],   
	207028 --[[Inquisition--]],   
	195389 --[[Softened Blows--]],   
	215652 --[[Shield of Virtue--]],   
	199325 --[[Unbound Freedom--]],   
	210341 --[[Warrior of Light--]],   
	199422 --[[Holy Ritual--]],   
	199424 --[[Pure of Heart--]],   
	199428 --[[Luminescence--]],   
	216868 --[[Hallowed Ground--]],   
	216855 --[[Guarded by the Light--]],   
	216853 --[[Sacred Duty--]],   
	216860 --[[Judgments of the Pure--]],   
	199542 --[[Steed of Glory--]],   
	228049 --[[Guardian of the Forgotten Queen--]],   
};
SPELLDB.PALADIN.RETRIBUTION.pvpTalents = {
	208683 --[[Gladiator's Medallion--]],   
	214027 --[[Adaptation--]],   
	196029 --[[Relentless--]],   
	195416 --[[Hardiness--]],   
	195282 --[[Reinforced Armor--]],   
	195425 --[[Sparring--]],   
	204979 --[[Jurisdiction--]],   
	199325 --[[Unbound Freedom--]],   
	204934 --[[Law and Order--]],   
	199422 --[[Holy Ritual--]],   
	199424 --[[Pure of Heart--]],   
	199428 --[[Luminescence--]],   
	210323 --[[Vengeance Aura--]],   
	210256 --[[Blessing of Sanctuary--]],   
	204927 --[[Seraphim's Blessing--]],   
	204898 --[[Lawbringer--]],   
	204914 --[[Divine Punisher--]],   
	204939 --[[Hammer of Reckoning--]],   
};

SPELLDB.PALADIN.HOLY.artifact = {200652,200430,200474,200421,222648,200302,200373,200294,200296,200298,200407,200327,200316,200326,200311,200482,200315,};
SPELLDB.PALADIN.PROTECTION.artifact = {209202,209539,209389,209474,221841,209223,209220,209216,209376,209217,209229,209218,209341,209341,209224,209226,209225,};
SPELLDB.PALADIN.RETRIBUTION.artifact = {205273,179546,186788,186773,214081,186927,184759,184778,186945,186941,193058,186934,185086,185368,186944,182234,184843,};

-- SPELLDB.PALADIN.HOLY.artifact = {200652}
-- SPELLDB.PALADIN.HOLY.majorTraits = {200430,200474,200421,}
-- SPELLDB.PALADIN.HOLY.traits = {222648,200302,200373,200294,200296,200298,200407,200327,200316,200326,200311,200482,200315,};

-- SPELLDB.PALADIN.PROTECTION.artifact = {209202}
-- SPELLDB.PALADIN.PROTECTION.majorTraits = {209539,209389,209474,}
-- SPELLDB.PALADIN.PROTECTION.traits = {221841,209223,209220,209216,209376,209217,209229,209218,209341,209341,209224,209226,209225,};

-- SPELLDB.PALADIN.RETRIBUTION.artifact = {205273}
-- SPELLDB.PALADIN.RETRIBUTION.majorTraits = {179546,186788,186773,}
-- SPELLDB.PALADIN.RETRIBUTION.traits = {214081,186927,184759,184778,186945,186941,193058,186934,185086,185368,186944,182234,184843,};




  






















